package ru.myitschool.work.domain.room

import ru.myitschool.work.data.repo.RoomBookingRepository

class DeleteRoomBookingsUseCase(
    private val repository: RoomBookingRepository
) {
    suspend operator fun invoke(roomId: Int, date: String): Result<Boolean> {
        return repository.deleteRoomBooking(roomId = roomId, date = date)
    }
}